Bug 305631 - Review Request: bluecurve-qt-engine - Bluecurve qt engine
Review Request: bluecurve-qt-engine - Bluecurve qt engine
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
Blocks: ArtworkSplit
  Show dependency treegraph
Reported: 2007-09-25 13:26 EDT by Ray Strode [halfline]
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-28 17:25:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Comment 2 Ray Strode [halfline] 2007-09-25 14:09:31 EDT
woops, thanks for catching that.
Comment 3 Matthias Clasen 2007-09-26 00:49:02 EDT
rpmlint output:
[mclasen@localhost Desktop]$ rpmlint
bluecurve-qt-engine.i386: W: invalid-license LGPL
bluecurve-qt-engine.src: W: invalid-license LGPL
bluecurve-qt-engine-debuginfo.i386: W: invalid-license LGPL

package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: invalid
license file: ok
spec language: AE
spec readability: excellent
upstream sources: no upstream yet
buildability: ok
ExcludeArch: n/a
BRs: configure looks for KDE headers, so needs to BR kdebase-devel
locales: ok
shared libs: ok
relocatable: n/a
directory ownership: /usr/lib/gt-3.3/plugins/styles is owned by 
  redhat-artwork-kde, so you should probably require that. Ir is that going
  to be cut into pieces, too ?
%files: ok
permissions: ok
%clean: ok
macro use: consistent
content: permissible
large docs: n/a
%doc: ok
headers: n/a
static libs: n/a
pc files: n/a
shared libs: n/a
devel package: n/a
libtool archives: ok
gui apps: n/a
directory ownership: ok
%install: ok
utf8 filenames: ok
Comment 4 Ray Strode [halfline] 2007-09-26 01:18:34 EDT
changed license to LGPLv2, added build requires

I don't think redhat-artwork-kde should own that directory--qt should, yea?
Comment 5 Kevin Kofler 2007-09-26 07:21:53 EDT
Is the BR kdebase-devel actually needed here? I think it isn't, it's needed 
only for the KWin theme, which isn't part of this package.
Comment 6 Matthias Clasen 2007-09-26 12:04:41 EDT
the configure script complains if it is not there...
Comment 7 Ray Strode [halfline] 2007-09-27 10:21:25 EDT
Filed bug 309091 for the qt issue
Comment 8 Matthias Clasen 2007-09-27 14:33:15 EDT
Comment 9 Ray Strode [halfline] 2007-09-28 17:25:14 EDT
we're going to merge this one into bluecurve-kde-theme

Note You need to log in before you can comment on or make changes to this bug.